org.apache.tinkerpop.gremlin.process.traversal

## Interface TraversalStrategy.FinalizationStrategy

- All Superinterfaces:
    Comparable<Class<? extends TraversalStrategy>>, Serializable, TraversalStrategy<TraversalStrategy.FinalizationStrategy>
  All Known Implementing Classes:
    MatchAlgorithmStrategy, ProfileStrategy
  Enclosing interface:
    TraversalStrategy<S extends TraversalStrategy>

      public static interface TraversalStrategy.FinalizationStrategy
      extends TraversalStrategy<TraversalStrategy.FinalizationStrategy>

  Implemented by strategies that do final behaviors that require a fully compiled traversal to work (e.g. `ProfileStrategy`).

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `TraversalStrategy.DecorationStrategy, TraversalStrategy.FinalizationStrategy, TraversalStrategy.OptimizationStrategy, TraversalStrategy.ProviderOptimizationStrategy, TraversalStrategy.VerificationStrategy`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `STRATEGY`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default int` | `compareTo(Class<? extends TraversalStrategy> otherTraversalCategory)`
    `default Class<TraversalStrategy.FinalizationStrategy>` | `getTraversalCategory()` The type of traversal strategy -- i.e.

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `apply, applyPost, applyPrior, getConfiguration`

- - ### Method Detail

    - #### getTraversalCategory

          default Class<TraversalStrategy.FinalizationStrategy> getTraversalCategory()

      Description copied from interface: `TraversalStrategy`
      The type of traversal strategy -- i.e. `TraversalStrategy.DecorationStrategy`, `TraversalStrategy.OptimizationStrategy`, `TraversalStrategy.FinalizationStrategy`, or `TraversalStrategy.VerificationStrategy`.
      Specified by:
        `getTraversalCategory` in interface `TraversalStrategy<TraversalStrategy.FinalizationStrategy>`
      Returns:
        the traversal strategy category class

    - #### compareTo

          default int compareTo(Class<? extends TraversalStrategy> otherTraversalCategory)

      Specified by:
        `compareTo` in interface `Comparable<Class<? extends TraversalStrategy>>`
      Specified by:
        `compareTo` in interface `TraversalStrategy<TraversalStrategy.FinalizationStrategy>`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.